Subject: Re: check-portability.awk
To: NetBSD Users <>
From: Matthias Scheler <>
List: tech-pkg
Date: 03/27/2007 12:36:15
On Tue, Mar 27, 2007 at 06:16:28AM -0400, Thomas Dickey wrote:
> >   * ldd is not terribly portable.  But I'm not sure what to replace
> >     that with.
> It seems that most of the systems lacking ldd have nothing to replace it with.
> The one exception that comes to mind is HPUX: chatr.

Mac OS X (AKA Darwin) has "otool -L":

> otool -L /bin/ls
        /usr/lib/libncurses.5.4.dylib (compatibility version 5.4.0, current version 5.4.0)
        /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 88.1.5)

	Kind regards

Matthias Scheler